for (local i = 1; i <= MAX_PLAYERS; i++)
{
    local player = PlayerInstanceFromIndex(i);
    if (player)
    {
        client_cache.push(player);
        if (player && player.GetTeam() > 1)
        {
            player_cache.push(player);
            if (GetPropInt(player, "m_lifeState") == 0)
                alive_player_cache.push(player);
        }
    }
}

::ClientCache_Join <- function(player)
{
    if (client_cache.find(player) == null)
        client_cache.push(player);
}

OnGameEvent("player_team", -999999, function(player, params)
{
    if (params.team < 2)
    {
        local index = player_cache.find(player);
        if (index != null) player_cache.remove(index);
        index = alive_player_cache.find(player);
        if (index != null) alive_player_cache.remove(index);
    }
    else if (player_cache.find(player) == null)
        player_cache.push(player);
});

OnGameEvent("player_spawn", -999999, function(player, params)
{
    if (alive_player_cache.find(player) == null)
        alive_player_cache.push(player);
});

OnGameEvent("player_death_post", 999999, function(player, params)
{
    local index = alive_player_cache.find(player);
    if (index != null)
        alive_player_cache.remove(index);
});

OnGameEvent("player_disconnect", 999999, function(player, params)
{
    local index = client_cache.find(player);
    if (index != null) client_cache.remove(index);
    index = player_cache.find(player);
    if (index != null) player_cache.remove(index);
    index = alive_player_cache.find(player);
    if (index != null) alive_player_cache.remove(index);
});

//Aliester has been idle for too long and has been kicked