//=========================================================================
//Copyright LizardOfOz.
//=========================================================================

//!CompilePal::IncludeDirectory("models/vip")
//!CompilePal::IncludeDirectory("materials/models/vip")
//!CompilePal::IncludeDirectory("scripts/vscripts/__lizardlib")
//!CompilePal::IncludeDirectory("scripts/vscripts/vip")

ClearGameEventCallbacks();

::isDebug <- !IsDedicatedServer() && false;

try { IncludeScript("vip_addons/main_pre.nut"); } catch(e) { }

::API_DEF_VALUES <- {
    "civilian_model": "models/vip/player/julius/julius.mdl"
    "civilian_hat_model": "models/vip/player/julius/julius_hat.mdl"
    "civilian_arms_model": "models/vip/weapons/c_models/c_julius_arms.mdl"
    "cane_pickup_model": "models/vip/weapons/c_models/c_cane/c_cane.mdl"
    "civilian_scale": "1.0"

    "vip_model": "models/vip/player/mobster/tfc_civilian.mdl"
    "vip_arms_model": "models/weapons/c_models/c_spy_arms.mdl"
    "vip_scale": "1.2"
    "cane_model": "models/vip/weapons/c_models/c_cane/c_cane.mdl"
    //"cane_pickup_model": "models/weapons/w_models/w_tommygun_test.mdl"
    "snap_to_pickup": "0"
    "is_attack_defend": "1"
}

IncludeScript("vip/__lizardlib/_lizardlib.nut");
IncludeScript("vip/_charlib/_charlib.nut");

PrecacheModel(API_GetString("vip_model"));
PrecacheModel(API_GetString("cane_model"));

IncludeScript("vip/gamemode/_gamemode.nut");

IncludeScript("vip/maintenance.nut");

try { IncludeScript("vip_addons/main.nut"); } catch(e) { }